## dpkg 1.6.15

=== debian/changelog ===
dpkg (1.6.15) stable unstable; urgency=low

  * Clean up fd handling in some places. Closes: Bug#69359,#69360,#69361
  * Fix update-alternatives behaviour for --config
  * Improve -l output
  * Update Swedish translation
  * Read trailing zeroes when uncompressing packages to fix SIGPIPE errors.
    Closes: Bug#73625

 -- Wichert Akkerman <wakkerma@debian.org>  Wed,  4 Oct 2000 16:52:26 +0200
