## dpkg 1.9.21

=== debian/changelog ===
dpkg (1.9.21) unstable; urgency=low

  * Fix corrupt Swedish translations that would some error messages display
    incorrectly.
  * Enable --force-overwrite by default in /etc/dpkg/dpkg.cfg
  * dpkg.cfg is now no longer a conffile. This means the installer can
    change defaults depending on how an install is done
  * Detect truncated debs, and abort the unpack.  Closes: #138569.
  * Improve dpkg(8) --force documentation
  * Fix error in Russian dselect translation

 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 16 May 2002 19:42:29 +0200

dpkg (1.9.20) unstable; urgency=medium

  * Fix assertion when --auto-deconfigure is set.  Closes: #137765.
  * Fix segfault discovered by fixing the above.
  * Fix segfault when getenv("PATH") returns null.  Closes: #136349
  * Recompiled against updated zlib, to fix possible security issue.  Also
    bumped build-depends to match.  Closes: #137931(grave)

 -- Adam Heath <doogie@debian.org>  Sun, 17 Mar 2002 02:52:44 -0600

dpkg (1.9.19) unstable; urgency=medium

  * install-info continues to read all data from a pipe, until EOF.
    Closes: #99816(grave).
  * Add Catalan translation
  * Update Danish translation. Closes: Bug#131869
  * Update French translation.
  * update-alternative exits with a non-zero exit code when displaying
    a non-existing alternative. Closes: Bug#131496
  * Changed Maintainer to debian-dpkg@lists.
  * Fix "Up to date installed packages" for polish translation.  Closes:
    #116398.
  * Swap updated/up-to-date polish translations(they were reversed).
    Closes: #117583, #102961.
  * Mark /etc/alternatives/README as a conffile.
  * Strip .note, .comment, and /usr/lib/dpkg/enoent.
  * Make dpkg-gencontrol not warn about Uploaders.  Closes: #111090.

 -- Adam Heath <doogie@debian.org>  Sat,  2 Feb 2002 11:47:34 -0600

dpkg (1.9.18) unstable; urgency=low

  * Fix MD5Sum corruption when upgrading a package.  Closes: Bug#113961.
  * Add Wichert and I to debian/control:Uploaders.

 -- Adam Heath <doogie@debian.org>  Sat,  3 Nov 2001 00:31:00 -0600

dpkg (1.9.17) unstable; urgency=low

  * updated-rc.d moved to the sysvinit package. Closes: Bug#108887,#109282

 -- Wichert Akkerman <wakkerma@debian.org>  Wed, 22 Aug 2001 01:24:52 +0200

dpkg (1.9.16) unstable; urgency=low

  * Revert architecture-change to dpkg-source from 1.9.11, see ChangeLog
    for details.

 -- Wichert Akkerman <wakkerma@debian.org>  Thu,  5 Jul 2001 22:42:11 +0200

dpkg (1.9.15) unstable; urgency=low

  * Change policy of handling dscformat in dpkg-source
  * Fix the arglist construction for maintainer scripts
  * Revert dscformat to 1.0 since older dpkg-source versions do not have
    the new policy. In the future (starting at format 2.0 to maintain
    compatibility with old dpkg-source implementations) minor changes to
    the dscformat have to be fully backward and forward compatible.

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 30 Jun 2001 16:41:43 +0200

dpkg (1.9.14) unstable; urgency=low

  * Make the Uploaders field in a .dsc file optional.
  * Disabled sanity checking of source packages.  
 
 -- Adam Heath <doogie@debian.org>  Mon, 25 Jun 2001 02:22:40 -0500

dpkg (1.9.13) unstable; urgency=medium

  * Add a -W option to dpkg-source(and the other utils, where it is just
    passed thru), to turn certain errors into warnings(of which, only
    one is changed, namely, the 'tar doesn't contain preceeding directory'
    error).  Closes: #101813, and partially 101845.
  * Don't error out if the files in the tar have leading './', for
    dpkg-source.  (another partial close of 101845).
  * Handle the case where a single directory exists in the orig.tar.gz, but
    it is NOT of the form <pkg>-<ver>.  Closes: #101845.
  * Set LC_ALL in dpkg-source when we call external programs when we are
    going to parse their output.  Another bug from 101845.
  * Handle stating of truncated cpio filenames(100 char limit, bah), in
    dpkg-source.  Another bug from 101845.
  * Add support for an Uploaders field, which is read from the first
    paragraph of debian/control, and propagated to the .dsc.  This lists
    the people allowed to upload a package.  If it is not set, then the
    value of the Maintainer is placed into this field of the .dsc.  This
    bumps the .dsc format to 1.1.  Closes: #101815.
  * Handle symlinks in the tarball, and don't error out if found.
  * in controllib, make warnerrors default to warnings.  Affects
    dpkg-source.  This will be changed to be errors in the future.

 -- Adam Heath <doogie@debian.org>  Sun, 24 Jun 2001 13:48:52 -0500

dpkg (1.9.12) unstable; urgency=medium

  * Fix do_script() bug. Closes: Bug#101552
  * Fix building and extracting of certain kinds of source packages.
    Closes: #101684.
  * Added Colin Watson to THANKS.

 -- Adam Heath <doogie@debian.org>  Wed, 20 Jun 2001 18:27:03 -0500

dpkg (1.9.11) unstable; urgency=low

  * The "Hang on to your hats, it gets bumpy from here." release.
  * Trim trailing spaces from package names when checking builddeps.
    Closes: #101304.
  * Apply patch from bug to fix logic error that kept everything but
    Build-Deps from working in checkbuilddeps.  Closes: #101511.
  * Apply patch to correctly check the output of gcc on hurd, for
    dpkg-architecture. Closes: #99874.
  * The internal pod docs in dpkg-architecture were updated to reflect
    that -f was no longer implied when -q was given, but the build system
    wasn't generating new documentation.  Closes: #100997.
  * deb(5) now has a see-also for deb-old(5).  Closes: #99620.
  * Fix dpkg-shlibdeps infinite directory recursion thru symlinks.
    Closes: #97622.
  * Set the Architecture to 'source' only when doing source only uploads
    in the generated changes files.  Closes: #100144.
  * Document -nc in the dpkg-buildpackage manpage.  Closes: #101038.
  * Make dpkg-source work with GNU md5sum.  Closes: #97666.
  * in dpkg-source, when both arch: all and arch: <arch> packages exist in

