## dpkg 1.10.21osso1

=== debian/changelog ===
dpkg (1.10.21osso1) unstable; urgency=low

  * typo in Makefile.in fixed (wrong path to perl)

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 16 Mar 2005 10:35:13 +0200

dpkg (1.10.21) unstable; urgency=low

  * Kill dselect

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Fri, 11 Mar 2005 19:13:28 +0200

dpkg (1.10.20) unstable; urgency=high

  * Update Japanese translation.  Closes: #224616
  * Update French translation.  Closes: #218713
  * Fix spelling error in German md5sum man page.  Closes: #230750
  * Fix typo in pt_BR po file.  Closes: #192102
  * Revert fix for #232916, this turns out to be a bug in the pgpgp
    wrapper, dpkg worked fine with pgp itself.

 -- Scott James Remnant <scott@netsplit.com>  Thu, 11 Mar 2004 11:24:54 +0000

dpkg (1.10.19) unstable; urgency=high

  * Distinguish unmet build dependencies from build conflicts.
    Closes: #217943, #235266.
  * Force NULL-termination of all tar file entry names.  Closes: #232025.
  * Allow dselect to use the full window width.  Closes: #139781.
  * Pass correct number of arguments for format string when out of disk
    space.  Closes: #213038, #217286, #213543, #213846.
  * Remove duplicated entries from ChangeLog.  Closes: #157437.
  * Fix dpkg-buildpackage when used with PGP.  Closes: #232916.
  * Update support for Debian FreeBSD.  Closes: #211566.
  * Store Architecture in the status file.  Closes: #228253.
  * Don't print offending lines in md5sum.  Closes: #170953.
  * Check bounds of md5sum lines.  Closes: #168443, #199489, #199693.

 -- Scott James Remnant <scott@netsplit.com>  Mon,  8 Mar 2004 19:05:32 +0000

dpkg (1.10.18.1) unstable; urgency=medium

  * Non-maintainer upload to fix release-critical bugs.
  * Terminate string buffer in main/remove.c.  Closes: #228379.
  * Prevent stashing of hardlinked devices and setuid or setgid binaries
    by removing permissions on upgrade as well as on remove.
    Closes: #225692.
  * Update dpkg conflicts to << 1.10, instead of 1.9.
    Closes: #190611, #221989, #222760.

 -- Scott James Remnant <scott@netsplit.com>  Thu, 26 Feb 2004 01:17:27 +0000

dpkg (1.10.18) unstable; urgency=medium

  * Rebuild, tagging and releasing correctly from cvs this time.

 -- Adam Heath <doogie@debian.org>  Mon, 27 Oct 2003 13:39:56 -0600

dpkg (1.10.17) unstable; urgency=medium

  * Make dselect do conflict resolution when dealing with automatically
    selected recommended package. Thanks to Colin Watson for the analysis
    and patch. Closes: Bug#151663
  * Branden Robinson <branden@debian.org>:
    s/dpkg-checkbuild/dpkg-checkbuilddeps/ in usage.
  * dpkg-checkbuilddeps now sets $reduce_arch.  Closes: #212796.
  * Goswin Brederlow <brederlo@informatik.uni-tuebingen.de>:
    Add -u in dpkg-scanpackages.  Closes: #214123.
    Add -a<arch> command to dpkg-scanpackages.
  * Add .#* to dpkg-source's default ignore filter.  Closes: #217380.
  * Matthias Urlichs <smurf@smurf.noris.de>:
    Don't assume /usr/info/dir exists if /usr/info does.  Closes: #165770.
  * Jordi Mallach <jordi@debian.org>:
    Update Catalan translation.
  * Fix errors with dependency fields that reference ${dpkg:Version}.
    Closes: #213108.

 -- Adam Heath <doogie@debian.org>  Mon, 27 Oct 2003 13:04:57 -0600

dpkg (1.10.16) unstable; urgency=low

  * Almost *EVERY* damn file was including config.h in the wrong spot.
    After making it the first include, then off_t/size_t/etc could actually
    be redefined to be 64-bit compatible.
  * Jordi Mallach <jordi@debian.org>:
    Fix configure to set HAVE_SETLOCALE.  Closes: #211816
  * "Loc Le Loarer" <lll_deb@m4x.org>:
    Add a -d|--chdir option to start-stop-daemon.  Closes: #151802
  * Split the background block into 2 parts: one that does the fork, and
    opens /dev/tty and /dev/null, and one that does everything else.  The
    second block is then moved to be run right before the exec.  This
    allows error messages to be seen from the child(previously, they were
    lost), and allows for the chroot to not require the device files.
    These changes based on the bugs filed by:
    Marc Herbert <Marc.Herbert@ens-lyon.fr>: Closes: #155219
    Loc Le Loarer <lll_deb@m4x.org>: Closes: #151800
  * Mario Lang <mlang@debian.org>:
    When --start, --startas and --pidfile are given, print 'process'
    instead of '(null)' for the process name, if it's already running.
    Closes: #209355
  * Imported several translated manpages, from debian-doc cvs:
    * Spanish: 822-date.1 cleanup-info.8 deb-control.5 deb-old.5
      deb.5 dpkg-checkbuilddeps.1 dpkg-deb.1 dpkg-divert.8 dpkg-name.1
      dpkg-scanpackages.8 dpkg-split.8 dpkg-statoverride.8 dpkg.8
      dselect.8 md5sum.1 start-stop-daemon.8 update-alternatives.8
      "Esteban Manchado Velzquez" <zoso@debian.org>: Closes: #171489
    * French: deb.5
      Julien Louis <arthur51@ifrance.com>: Closes: #164906
    * Portuguese: dpkg.8 dselect.8
  * Matt Zimmerman <mdz@debian.org>
    In dpkg's manpage, -O had an inverted word.  Closes: #111711
  * Marcin Owsiany <porridge@debian.org>:
    Fix Polish translation of 'conflicts with'  Closes: #112057
  * Jiri Masik <masik@darbujan.fzu.cz>:
    Improve Czech translation of: "dpkg - warning: ignoring request to
    remove %s which isn't installed."  Closes: #117518
  * Marco Nenciarini <mnencia@prato.linux.it>:
    Fix missing space in Italian translation when listing files, and the
    file is diverted.  Closes: #138244
  * Piotr Roszatycki <Piotr_Roszatycki@netia.net.pl>:
    Update Polish translation.  Closes: #142370
  * Martin Quinson <mquinson@ens-lyon.fr>:
    Fix missing space in French translation of: "%s - warning: downgrading
    %.250s from %.250s to %.250s.\n"  Closes: #149142
  * Hidetaka Iwai <tyuyu@sings.jp>:
    Fix typo in Japanese translation of dpkg --force-help; dowgrade ->
    downgrade:  Closes: #157819
  * Martin Quinson <mquinson@ens-lyon.fr>:
    Fix French translation when listing files, and the file is diverted.
    Closes: #162154

