=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: base
 Priority: required
 Maintainer: Dpkg Development <debian-dpkg@lists.debian.org>
+Uploaders: Wichert Akkerman <wakkerma@debian.org>, Adam Heath <doogie@debian.org>, Scott James Remnant <scott@netsplit.com>
 Origin: debian
 Bugs: debbugs://bugs.debian.org
-Standards-Version: 3.5.4
-Build-Depends: debiandoc-sgml, sgmltools-lite, libncurses-dev, gettext (>= 0.10.36), zlib1g-dev (>= 1:1.1.3-19.1)
-Uploaders: Wichert Akkerman <wakkerma@debian.org>, Adam Heath <doogie@debian.org>
+Standards-Version: 3.5.8
+Build-Depends: debiandoc-sgml, sgml-base (>= 1.9.1), sgmltools-lite, libncurses-dev, gettext (>= 0.12.1-3), zlib1g-dev (>= 1:1.1.3-19.1), autotools-dev
 
 Package: dpkg
 Architecture: any
 Essential: yes
-Pre-Depends: ${shlibs:Pre-Depends}
-Conflicts: sysvinit (<< 2.80)
-Replaces: dpkg-doc-ja
+Pre-Depends:  ${shlibs:Pre-Depends}
+Conflicts: sysvinit (<< 2.82-1), dpkg-iasearch (<< 0.11), dpkg-static, dpkg-dev (<< 1.10)
+Replaces: dpkg-doc-ja, dpkg-static, manpages-de (<= 0.4-3)
 Description: Package maintenance system for Debian
  This package contains the programs which handle the installation and
  removal of packages on your system.
@@ -25,9 +25,29 @@
  In order to unpack and build Debian source packages you will need to
  install the developers' package `dpkg-dev' as well as this one.
 
+Package: dpkg-static
+Architecture: any
+Priority: optional
+Pre-Depends: dselect, ${shlibs:Pre-Depends}
+Replaces: dpkg-doc-ja, dpkg, manpages-de (<= 0.4-3)
+Conflicts: sysvinit (<< 2.82-1), dpkg-iasearch (<< 0.11), dpkg, dpkg-dev (<< 1.10)
+Provides: dpkg
+Description: Package maintenance system for Debian (static compile)
+ This package contains the programs which handle the installation and
+ removal of packages on your system.
+ .
+ The primary interface for the dpkg suite is the `dselect' program;
+ a more low-level and less user-friendly interface is available in
+ the form of the `dpkg' command.
+ .
+ In order to unpack and build Debian source packages you will need to
+ install the developers' package `dpkg-dev' as well as this one.
+ .
+ This version has a dpkg binary that is linked statically.
+
 Package: dpkg-dev
-Section: devel
-Priority: important
+Section: utils
+Priority: standard
 Architecture: all
 Depends: perl5, perl-modules, cpio (>= 2.4.2-2), patch (>= 2.2-1), make, binutils
 Recommends: c-compiler
@@ -43,11 +63,20 @@
 
 Package: dpkg-doc
 Section: doc
-Priority: extra
+Priority: optional
 Architecture: all
 Replaces: dpkg-dev (<<1.4.1.19)
 Description: Dpkg Internals Documentation
  This document describes the internal operations of the dpkg program. It
- covers building aswell as the internals functions. If you are interested
+ covers building as well as the internals functions. If you are interested
  in creating your own packages, then you may be more interested in the
  packaging-manual documentation package.
+
+Package: dselect
+Architecture: any
+Depends: ${shlibs:Depends}
+Replaces: dpkg (<< 1.10.3)
+Description: a user tool to manage Debian packages
+ dselect is the primary user interface for installing, removing and
+ managing Debian packages. It is a front-end to dpkg.
+
