## dpkg 1.10.21osso2

=== debian/changelog ===
dpkg (1.10.21osso2) unstable; urgency=low

  * build-dependency to libncurses-dev corrected

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 14 Sep 2005 18:26:50 +0300
